Altibase.jdbc.driver.datatype

## Class ColumnFactory

- java.lang.Object
- - Altibase.jdbc.driver.datatype.ColumnFactory

    public class ColumnFactory
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ColumnFactory()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static BigIntColumn` `createBigintColumn()`
`static BooleanColumn` `createBooleanColumn()`
`static IntegerColumn` `createIntegerColumn()`
`static SmallIntColumn` `createSmallintColumn()` BUG-39149 ping 쿼리에서 SmallIntColumn을 수동으로 생성하기 위해 메소드 추가
`static StringPropertyColumn` `createStringPropertyColumn()`
`static TinyIntColumn` `createTinyIntColumn()`
`VarcharColumn` `createVarcharColumn()`
`Column` `getInstance(int aDBType)`
`Column` `getMappedColumn(int aJDBCType)` JDBC Type에 해당하는 Column 객체를 얻는다.
`void` `setCharSetEncoder(java.nio.charset.CharsetEncoder aDBEncoder)`
`void` `setNCharSetEncoder(java.nio.charset.CharsetEncoder aNCharEncoder)`
`void` `setProperties(AltibaseProperties aProps)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnFactory

    public ColumnFactory()

### Method Detail

#### setProperties

    public void setProperties(AltibaseProperties aProps)

#### getInstance

    public Column getInstance(int aDBType)

#### getMappedColumn

    public Column getMappedColumn(int aJDBCType)

JDBC Type에 해당하는 Column 객체를 얻는다.

Parameters:
  `aJDBCType` - `Types`에 정의된 type 상수
Returns:
  Column 객체

#### createVarcharColumn

    public VarcharColumn createVarcharColumn()

#### createBigintColumn

    public static BigIntColumn createBigintColumn()

#### createSmallintColumn

    public static SmallIntColumn createSmallintColumn()

BUG-39149 ping 쿼리에서 SmallIntColumn을 수동으로 생성하기 위해 메소드 추가

#### createIntegerColumn

    public static IntegerColumn createIntegerColumn()

#### createTinyIntColumn

    public static TinyIntColumn createTinyIntColumn()

#### createBooleanColumn

    public static BooleanColumn createBooleanColumn()

#### createStringPropertyColumn

    public static StringPropertyColumn createStringPropertyColumn()

#### setCharSetEncoder

    public void setCharSetEncoder(java.nio.charset.CharsetEncoder aDBEncoder)

#### setNCharSetEncoder

    public void setNCharSetEncoder(java.nio.charset.CharsetEncoder aNCharEncoder)